Subject: Re: [sidr] key rollover and algorithm migration

From: Tim Bruijnzeels <[email-masked]>
Date: Wed, 04 Aug 2010 10:09:54 +0200

Hi,

On 7/26/10 9:59 AM, Geoff Huston wrote:
> 
> On 14/07/2010, at 12:36 PM, Geoff Huston wrote:
> 
>>>> - Key roll-over algorithm
>>>>
>>>> Our software currently implements a specific way to do roll-overs. At
>>>> the time we implemented this it wasn't 100% clear to us how this
>>>> *should* be done, and indeed whether there should be some prescribed way
>>>> to do this.
>>>
>>> I believe that we need to have a single, prescribed way to do this; each CA needs to know what is expected of it by its subordinate CAs and by all RPs. I believe we should have a separate document that clearly articulates what a CA is required to do. There are CA-local aspects to this procedure, as Geoff's text notes.  The parameters for those belong in the CPS for the CA. The current description is not normative and I think that needs to change.
>>>
>>
>>
>> You are proposing that the procedure as described in section 8 of  draft-ietf-sidr-res-certs-18.txt be placed into a normative form in its own document?
> 
> 
> In collaboration with George Michaelson and Steve Kent, we have lifted out section 8 of draft-ietf-sidr-res-certs-18.txt and placed into a normative form in its own document. This is in the drafts repository as draft-huston-sidr-keyroll-00.txt.
> 
> I would like to request via the WG chairs that the WG adopt this document as a WG document.

I am not sure what the procedure is, but I'd like to +1 this for adoption.

Cheers
Tim